Subject: [Nea] Protocol names, titles & filenames for PA & PB protocol drafts

From: Kaushik Narayan <[email-masked]>
Date: Mon, 09 Jun 2008 15:31:38 -0700

Hi,

The current names of the PA & PB protocol drafts are PA-TNC and PB-TNC and
the title of both drafts includes "Compatible with TNC". The file names also
currently include tnc.

I am wondering whether we need a change to titles/names to clarify that the
WG is not adopting the TNC protocols but using the TNC protocols as an
initial definition (-00 version) to create the NEA PA & PB protocols.

Regards,
 kaushik

_______________________________________________
Nea mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/nea

---

From: "Stephen Hanna" <[email-masked]>
Date: Mon, 9 Jun 2008 20:48:10 -0400

I don't see a problem here. As stated in the drafts, the TCG is planning
to
adopt TNC protocols equivalent to PA-TNC and PB-TNC when PA-TNC and
PB-TNC
are approved as RFCs by the IETF. So the end result will be that the
IETF
RFCs and the TNC protocols will be equivalent. That is the goal and it's
a good one, I think. Customers want to have one set of standard
protocols,
approved by and agreed on by all parties.  So when we're done, we'll
have
IETF protocols that are compatible with TNC. That's what the titles say.

I do think that the background on TCG and TNC in section 1 of the specs
should be scaled back substantially but I think that we should include
some explanatory text saying that these specs are equivalent to the TNC
specs IF-M 1.0 and IF-TNCCS 2.0 and giving informative references to
those. This will help people who want to find the TNC specs to do so.

What do other people think?

Thanks,

Steve

-----Original Message-----
From: Kaushik Narayan [mailto:[email-masked]] 
Sent: Monday, June 09, 2008 6:32 PM
To: Paul Sangster; Stephen Hanna; Sahita, Ravi; Ryan Hurst;
[email-masked]; Susan Thomson (sethomso)
Subject: Protocol names, titles & filenames for PA & PB protocol drafts

Hi,

The current names of the PA & PB protocol drafts are PA-TNC and PB-TNC
and
the title of both drafts includes "Compatible with TNC". The file names
also
currently include tnc.

I am wondering whether we need a change to titles/names to clarify that
the
WG is not adopting the TNC protocols but using the TNC protocols as an
initial definition (-00 version) to create the NEA PA & PB protocols.

Regards,
 kaushik

---

From: "Paul Sangster" <[email-masked]>
Date: Tue, 10 Jun 2008 07:58:13 -0700

I too wondered about the names (PA-TNC, PB-TNC) whether these make sense
for IETF specs.  I too think the strategy makes good sense as does
stating the linkage between the org's standards in the specs so
customers know we're addressing their concern and working together.  It
also makes sense to credit the origin of the specs and including an
informal ref.  Not sure we need to do a lot more.

I suspect the core question is PA or PA-TNC (right?).  I don't have a
strong preference since they are just names. 

> From: Stephen Hanna [mailto:[email-masked]] 
> Sent: Monday, June 09, 2008 5:48 PM
> To: Kaushik Narayan; Paul Sangster; Sahita, Ravi; Ryan Hurst; 
> Subject: RE: Protocol names, titles & filenames for PA & PB 
> protocol drafts
> 
> I don't see a problem here. As stated in the drafts, the TCG 
> is planning to adopt TNC protocols equivalent to PA-TNC and 
> PB-TNC when PA-TNC and PB-TNC are approved as RFCs by the 
> IETF. So the end result will be that the IETF RFCs and the 
> TNC protocols will be equivalent. That is the goal and it's a 
> good one, I think. Customers want to have one set of standard 
> protocols, approved by and agreed on by all parties.  So when 
> we're done, we'll have IETF protocols that are compatible 
> with TNC. That's what the titles say.
> 
> I do think that the background on TCG and TNC in section 1 of 
> the specs should be scaled back substantially but I think 
> that we should include some explanatory text saying that 
> these specs are equivalent to the TNC specs IF-M 1.0 and 
> IF-TNCCS 2.0 and giving informative references to those. This 
> will help people who want to find the TNC specs to do so.
> 
> The current names of the PA & PB protocol drafts are PA-TNC 
> and PB-TNC and the title of both drafts includes "Compatible 
> with TNC". The file names also currently include tnc.
> 
> I am wondering whether we need a change to titles/names to 
> clarify that the WG is not adopting the TNC protocols but 
> using the TNC protocols as an initial definition (-00 
> version) to create the NEA PA & PB protocols.
> 
> Regards,
>  kaushik
> 
> 
>

---

From: "Lisa Lorenzin" <[email-masked]>
Date: Tue, 17 Jun 2008 10:41:24 -0700

Hi all,

Paul wrote:

> I suspect the core question is PA or PA-TNC (right?).  I 
> don't have a strong preference since they are just names. 

Is future expansion a consideration?  The TNC-based PA and 
PB are one set of NEA PA & PB protocols; in the future, there
could be additional PA and PB protocols defined.  If we keep
the PA-TNC and PB-TNC names, we have a clear naming convention
differentiating possible future PA & PB protocols from other 
origins.

						Regards,

							Lisa

--
Lisa Lorenzin / 919-384-7275 / [email-masked] 
Principal Solutions Architect - Security Solutions
Juniper Networks            http://www.juniper.net
_______________________________________________
Nea mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/nea